# Uses of Class
org.eclipse.draw2d.ButtonModel

Packages that use ButtonModel
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ButtonModel in org.eclipse.draw2d

Subclasses of ButtonModel in org.eclipse.draw2d
Modifier and Type
Class
Description
`class`
`ToggleModel`
ButtonModel that supports toggle buttons.
Methods in org.eclipse.draw2d that return ButtonModel
Modifier and Type
Method
Description
`protected ButtonModel`
Clickable.`createDefaultModel()`
Returns a newly created ButtonModel as the default model to be used by this Clickable based on the button style.
`ButtonModel`
ButtonGroup.`getDefault()`
Returns the ButtonModel which is selected by default for this ButtonGroup.
`ButtonModel`
Clickable.`getModel()`
Returns the behavior model used by this Clickable.
`ButtonModel`
ButtonGroup.`getSelected()`
Returns the ButtonModel for the currently selected button.
Methods in org.eclipse.draw2d that return types with arguments of type ButtonModel
Modifier and Type
Method
Description
`List<ButtonModel>`
ButtonGroup.`getElements()`
Returns a List which contains all of the `ButtonModels` added to this ButtonGroup.
Methods in org.eclipse.draw2d with parameters of type ButtonModel
Modifier and Type
Method
Description
`void`
ButtonGroup.`add(ButtonModel model)`
Adds the passed ButtonModel to the ButtonGroup.
`boolean`
ButtonGroup.`isSelected(ButtonModel model)`
Determines if the given ButtonModel is selected or not.
`void`
ButtonGroup.`remove(ButtonModel model)`
Removes the given ButtonModel from this ButtonGroup.
`protected void`
ButtonGroup.`selectNewModel(ButtonModel model)`
Sets the passed ButtonModel to be the currently selected ButtonModel of this ButtonGroup.
`void`
ButtonGroup.`setDefault(ButtonModel model)`
Sets the default selection of this ButtonGroup.
`void`
Clickable.`setModel(ButtonModel model)`
Sets the model to be used by this clickable for its state and behavior determination.
`void`
ButtonGroup.`setSelected(ButtonModel model)`
Sets the button with the given ButtonModel to be selected.
`void`
ButtonGroup.`setSelected(ButtonModel model, boolean value)`
Sets model to the passed state.